ZCK(1)

NAME
zck - compress a file using the zchunk format

SYNOPSIS
zck [-D file | --dict=file] [-m chunk | --manual=chunk] [-o file | --output=file] [-s string | --split=string] [-v | --verbose] file
zck? | --help | --usage | --version

DESCRIPTION
The zck utility creates a new zchunk file from the data in the specified input file.

NOTE: If no output file is specified using the -o option, the zck utility will place the new file with the .zck extension in the current working directory, not in the directory where the original file resides.

The zck utility accepts the following optional arguments:

-D, --dict
    Set the zstd compression dictionary to the specified file.

-m, --manual
    Do not do any automatic chunking (implies -s).

-o, --output
    Output to the specified file.

-s, --split
    Split chunks at the beginning of the specified string.

-v, --verbose
    Verbose operation; display some diagnostic output.

?, --help
    Display program usage information and exit.

--usage
    Display brief program usage information and exit.

--version
    Display program version information and exit.

EXIT STATUS

EXAMPLES
Create (in the current directory) a zchunk-compressed words.zck file from a dictionary:

    zck /usr/share/dict/words

The same, but specify an output file:

    zck -o /tmp/words.txt.zck /usr/share/dict/words

Generate a zchunk file with chunks separated on HTML sections:

    zck -s '<h2>' doc.html

SEE ALSO
unzck(1), zck_delta_size(1), zck_gen_zdict(1), zck_read_header(1), zckdl(1)

AUTHOR
The zck utility was written by Jonathan Dieter <jdieter@gmail.com>. This manual page stub was written by Peter Pentchev <roam@ringlet.net>.